Get an annotation config
curl --request GET \
--url https://api.arize.com/v2/annotation-configs/{annotation_config_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/annotation-configs/{annotation_config_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/annotation-configs/{annotation_config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "QW5ub3RhdGlvbkNvbmZpZzoxMjM0NQ==",
"name": "quality-v2",
"space_id": "space_12345",
"type": "CATEGORICAL",
"values": [
{
"label": "good",
"score": 1
},
{
"label": "bad",
"score": 0
}
],
"optimization_direction": "MAXIMIZE",
"created_at": "2024-01-01T00:00:00Z"
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Annotation Configs
Get an annotation config
Get an annotation config object by its ID.
GET
/
v2
/
annotation-configs
/
{annotation_config_id}
Get an annotation config
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique annotation config identifier (base64) A universally unique identifier (base64-encoded opaque string).
Example:
"RW50aXR5OjEyMzQ1"
Response
An annotation config object
- Option 1
- Option 2
- Option 3
The unique identifier for the annotation config
The name of the annotation config
The timestamp for when the annotation config was created
The space id the annotation config belongs to
Discriminator value identifying a continuous annotation config.
Available options:
CONTINUOUS The minimum score value
The maximum score value
Direction for optimization. When absent, the server treats the value as NONE.
Available options:
MAXIMIZE, MINIMIZE, NONE Was this page helpful?